const c = [
	() => import("../../../src/routes/__layout.svelte"),
	() => import("../components/error.svelte"),
	() => import("../../../src/routes/index.svelte"),
	() => import("../../../src/routes/cadastro.svelte"),
	() => import("../../../src/routes/carrinho.svelte"),
	() => import("../../../src/routes/produtos/index.svelte"),
	() => import("../../../src/routes/produtos/[id].svelte")
];

const d = decodeURIComponent;

export const routes = [
	// src/routes/index.svelte
	[/^\/$/, [c[0], c[2]], [c[1]]],

	// src/routes/cadastro.svelte
	[/^\/cadastro\/?$/, [c[0], c[3]], [c[1]]],

	// src/routes/carrinho.svelte
	[/^\/carrinho\/?$/, [c[0], c[4]], [c[1]]],

	// src/routes/produtos/index.svelte
	[/^\/produtos\/?$/, [c[0], c[5]], [c[1]]],

	// src/routes/produtos/[id].svelte
	[/^\/produtos\/([^/]+?)\/?$/, [c[0], c[6]], [c[1]], (m) => ({ id: d(m[1])})]
];

// we import the root layout/error components eagerly, so that
// connectivity errors after initialisation don't nuke the app
export const fallback = [c[0](), c[1]()];